/**
 * ENSICAEN
 * 6 Boulevard Maréchal Juin
 * F-14050 Caen Cedex
 *
 * This file is owned by ENSICAEN students. No portion of this
 * document may be reproduced, copied or revised without written
 * permission of the authors.
 */

/**
 * @author  Dimitri Boudier <dimitri.boudier@ensicaen.fr>
 * @author
 * @author
 * @version 1.0.0 - 2023-09-27
 *
 * @todo	Nothing.
 * @bug		None.
 * @note 	This driver can be used with only ONE Light click at once.
 */

/**
 * @file light_click.c
 * @brief Driver for the MIKROE "Light click" board
 *
 * Ref. https://www.mikroe.com/light-click
 */


#include "main.h"
#include "light_click.h"



//! Declared as global in order to be seen by all the driver functions.
LIGHT_handle_t light_handle;



/*****************************************************************************
 * FUNCTION DEFINITIONS
 *****************************************************************************/

void LIGHT_init(SPI_HandleTypeDef *hspi, GPIO_TypeDef *SS_Port, uint16_t SS_Pin)
{
	//! @TODO   Attach the SPI peripheral to the Light click handle
	

	//! @TODO   Attach the GPIO pin (/Slave Select signal) to the Light click handle
	
}


void LIGHT_readBrightnessRaw(uint16_t* brightness_raw)
{
	//! @TODO
	
}

void LIGHT_readBrightnessPercentage(float* brightness_percentage)
{
    //! @TODO
    
}
